Bug 867873 - realmd doesn't install samba-winbind
realmd doesn't install samba-winbind
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
18
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 09:30 EDT by Karel Srot
Modified: 2012-12-20 11:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:12:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 56166 None None None 2012-10-19 01:34:38 EDT

  None (edit)
Description Karel Srot 2012-10-18 09:30:53 EDT
Description of problem:

Followed 
https://fedoraproject.org/wiki/QA:Testcase_Active_Directory_realmd_join_winbind
but didn't work. samba-winbind was not installed:

[root@dhcp-25-148 ~]# rpm -q sssd samba-winbind samba-client
package sssd is not installed
package samba-winbind is not installed
package samba-client is not installed
[root@dhcp-25-148 ~]# realm join --user=Leela --client-software=winbind $TESTDOMAIN
Password for Leela: 
[root@dhcp-25-148 ~]# realm list
radi08.segad.lab.sjc.redhat.com
  configured: kerberos-member
  server-software: active-directory
  client-software: winbind
  type: kerberos
  realm-name: RADI08.SEGAD.LAB.SJC.REDHAT.COM
  domain-name: radi08.segad.lab.sjc.redhat.com
  login-formats: RADI08\%U
  login-policy: allow-any-login
[root@dhcp-25-148 ~]# rpm -q sssd samba-winbind samba-client
package sssd is not installed
package samba-winbind is not installed
package samba-client is not installed
[root@dhcp-25-148 ~]# rpm -q samba4-winbind
package samba4-winbind is not installed
[root@dhcp-25-148 ~]# getent passwd 'RADI08\Leela'
[root@dhcp-25-148 ~]#

after
# sed -i s/samba4/samba/g /usr/lib/realmd/realmd-distro.conf

[root@dhcp-25-148 ~]# realm join --user=Leela --client-software=winbind $TESTDOMAIN
Password for Leela: 
[root@dhcp-25-148 ~]# realm list
radi08.segad.lab.sjc.redhat.com
  configured: kerberos-member
  server-software: active-directory
  client-software: winbind
  type: kerberos
  realm-name: RADI08.SEGAD.LAB.SJC.REDHAT.COM
  domain-name: radi08.segad.lab.sjc.redhat.com
  login-formats: RADI08\%U
  login-policy: allow-any-login
[root@dhcp-25-148 ~]# rpm -q sssd samba-winbind samba-client
package sssd is not installed
samba-winbind-4.0.0-158.fc18.rc3.i686
package samba-client is not installed
[root@dhcp-25-148 ~]# getent passwd 'RADI08\Leela'
RADI08\leela:*:10000:10000:Turanga Leela:/home/RADI08/leela:



Version-Release number of selected component (if applicable):
realmd-0.9-1.fc18.i686

How reproducible:
alway for me

Steps to Reproduce:
followed test days instructions mentined above
Comment 1 Stef Walter 2012-10-18 09:47:48 EDT
Thanks for reporting. Will fix. Workaround is:

$ sudo sed -i -e s/samba4/samba/ /usr/lib64/realmd/realmd-distro.conf
Comment 2 Jan Ščotka 2012-10-18 10:10:18 EDT
I saw also some AVC's:
propably after switch to permissive
   Honza

type=SYSCALL msg=audit(1350569150.815:514): arch=c000003e syscall=59 success=yes exit=0 a0=c07b80 a1=c07ce0 a2=c06af0 a3=7fffc6325120 items=0 ppid=2825 pid=2826 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemctl" exe="/usr/bin/systemctl" subj=system_u:system_r:realmd_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1350569150.866:515): avc:  denied  { read } for  pid=2837 comm="systemctl" name="root" dev="proc" ino=7374 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=lnk_file
type=SYSCALL msg=audit(1350569150.866:515): arch=c000003e syscall=4 success=yes exit=0 a0=7f759d2e4ac6 a1=7fffd1a3a970 a2=7fffd1a3a970 a3=4 items=0 ppid=2836 pid=2837 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemctl" exe="/usr/bin/systemctl" subj=system_u:system_r:realmd_t:s0-s0:c0.c1023 key=(null)
type=USER_AVC msg=audit(1350569150.868:516): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='avc:  denied  { stop } for auid=-1 uid=0 gid=0 path="/usr/lib/systemd/system/sssd.service" scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_unit_file_t:s0 tclass=service  exe="/usr/lib/systemd/systemd" sauid=0 hostname=? addr=? terminal=?'
Comment 3 Fedora Update System 2012-10-20 02:44:49 EDT
realmd-0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/realmd-0.10-1.fc18
Comment 4 Fedora Update System 2012-10-21 01:57:41 EDT
Package realmd-0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16542/realmd-0.10-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-30 14:51:27 EDT
realmd-0.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/realmd-0.11-1.fc18
Comment 6 Fedora Update System 2012-12-20 11:12:49 EST
realmd-0.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.